1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Downloaded psp games and downgraded psp to ver. 1.5

Discussion in 'Sony PSP - Homebrew software' started by afkboy, Oct 17, 2007.

  1. afkboy

    afkboy Member

    Joined:
    Oct 16, 2007
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    11
    Ok. I downloaded a PSP game and I'm almost ready to test it out. I've already downgraded my psp to ver. 1.5. What should I do next? Should I upgrade to a custom firmware or will the game work on ver. 1.5?


    Thanks!
     
  2. vcbc

    vcbc Regular member

    Joined:
    Apr 15, 2006
    Messages:
    1,080
    Likes Received:
    0
    Trophy Points:
    46
    custom firmware is the way to go. u can do it in 1.50 by using devhook, but it isnt updated, and it is slower/buggier, so just use custom firmware.
     
  3. larrylje

    larrylje Active member

    Joined:
    Jan 4, 2005
    Messages:
    12,506
    Likes Received:
    0
    Trophy Points:
    96
    I suggest just as vcbc has suggested installing custom firmware.

    HERE is a guide to update to 3.52 M33-4 custom firmware.

    If you want the latest firmware then HERE is the update for 3.71 M33-2 + 1.50 ADD ON-2 (You need to install 3.52 M33-4 first before installing this firmware)

    After you update to the custom firmware you want then go HERE and follow the steps to get your ISO/CSO files working properly.
     
  4. afkboy

    afkboy Member

    Joined:
    Oct 16, 2007
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    11
    ooo.... I see. But, does every game work with the same firmware or do some games require me to use say firmware 3.52 and the other game has to use ver. 3.4 etc....?
     
  5. chwoolgar

    chwoolgar Regular member

    Joined:
    Sep 18, 2007
    Messages:
    1,168
    Likes Received:
    0
    Trophy Points:
    46
    Old versions of cfw may not player newer games, same as official. 3.71 M33-2 currently plays all PSP games.
     
  6. kikzm33z

    kikzm33z Regular member

    Joined:
    Aug 21, 2007
    Messages:
    1,911
    Likes Received:
    0
    Trophy Points:
    46
    yep, so upgrade to 3.52m33-4 then you can upgrade to 3.71m33-2. 3.71m33-2 is the most stable firmware out yet...
     
  7. chwoolgar

    chwoolgar Regular member

    Joined:
    Sep 18, 2007
    Messages:
    1,168
    Likes Received:
    0
    Trophy Points:
    46
    Out of interest, why do you have to go to 3.52 b4 going to 3.71 M33? I know that it wont work if you try, was just wondering why not?
     
  8. larrylje

    larrylje Active member

    Joined:
    Jan 4, 2005
    Messages:
    12,506
    Likes Received:
    0
    Trophy Points:
    96
    It has to do with some bug in previous M33 or OE custom firmware.

    3.52 M33-3/M33-4 has fixed the bug that causes the issue.

    So as long as you have 3.52 M33-3 or 3.52 M33-4 you are safe to update to 3.71 M33 CFW.
     
  9. chwoolgar

    chwoolgar Regular member

    Joined:
    Sep 18, 2007
    Messages:
    1,168
    Likes Received:
    0
    Trophy Points:
    46
    The new pandora battery app instalelr automatically upgrades your PSP to 3.52 M33-4 which is gd, not too much effort to get to 3.71 from there.
     
  10. afkboy

    afkboy Member

    Joined:
    Oct 16, 2007
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    11
    Wait. So if i want to install ver. 3.71 M33-2 I need to first upgrade to ver. 3.52 M33-4? I can't just directly upgrade to ver. 3.71??
     
  11. cee43ja1

    cee43ja1 Regular member

    Joined:
    Sep 14, 2007
    Messages:
    4,135
    Likes Received:
    1
    Trophy Points:
    46
    no. you need to upgrade to 3.52 m33. then to 3.52 m33-4. then to 3.71 m33.

    there was a coding problem with the earlier 3.52 m33 updates, and they were fixed in 3.52 m33-3 and m33-4. 3.71 m33 only installs if it finds 3.52 m33-3/4 installed.
     
    Last edited: Oct 17, 2007
  12. larrylje

    larrylje Active member

    Joined:
    Jan 4, 2005
    Messages:
    12,506
    Likes Received:
    0
    Trophy Points:
    96
    If you are on 1.50 firmware or any custom firmware below 3.52 M33-3 then yes you need to update to either 3.52 M33-3/M33-4 before going to 3.71 M33.
     
  13. afkboy

    afkboy Member

    Joined:
    Oct 16, 2007
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    11
    Ok. Thanks people.

    Just one last question. Does ad-hoc and wifi mutiplayer work for custom firmware and ripped games? It would be cool if I could play an online game.
     
  14. chwoolgar

    chwoolgar Regular member

    Joined:
    Sep 18, 2007
    Messages:
    1,168
    Likes Received:
    0
    Trophy Points:
    46
    Yeah they do but some games are limtied to what you can do e.g. some games arent multiplayer but you can download online content etc
     
  15. afkboy

    afkboy Member

    Joined:
    Oct 16, 2007
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    11
    Oh... Thanks mates!!! You guys responded so quickly. I appreciate it a lot. :)
     
  16. chwoolgar

    chwoolgar Regular member

    Joined:
    Sep 18, 2007
    Messages:
    1,168
    Likes Received:
    0
    Trophy Points:
    46
    Glad to help :)
     

Share This Page